Subject: Re: /usr/bin and /usr/lib mount points (WAS: RE: telnet problems with current cygwin version)
From: David Starks-Browning <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 27 Jun 2000 17:06:07 +0100

On Friday 16 Jun 00, Don Sharp writes:
> DJ Delorie wrote:
> > 
> > > But why are they mount points instead of ordinary directories? Normal
> > 
> > Because we never know whether a program should go in /bin or /usr/bin,
> > so the mounts make all programs appear in both places.
> 
> Please put this in the installation notes and/or the FAQ. I had been
> wondering why the recommendation from Earnie was so strongly voiced. Now
> I understand.

Sorry for the late reply, I've been away.

I have yet to update the FAQ entry "Why the wierd directory
structure?" in the "Using Cygwin" section of the FAQ, for the latest
net release.  That's where I'll add details to this effect.

BTW, the "Installation Instructions" section of the FAQ already points
out that these mounts are intentional, and should not be removed
unless you *really* know what you are doing.  So if you don't know the
rationale, you should at least know not to remove them.

Hope this helps.

Regards,
David

--
Want to unsubscribe from this list?
Send a message to [email-masked]